let SL = args.opposedTest.attackerTest.result.SL - args.opposedTest.attackerTest.item.cn.value
let difficulty = "challenging"
if (SL >= 1)
   difficulty = "difficult"
if (SL >= 2)
   difficulty = "hard"
if (SL >= 3)
   difficulty = "vhard"


let test = await args.actor.setupCharacteristic("wp", {fields: {difficulty}, skipTargets: true, appendTitle :  " - " + this.effect.name, context : {failure: "Reçoit un état Sonné"}})
await Test.roll();
if (Test.Échoué)
{
    args.actor.addCondition("stunned");
}